package com.nantian.demo.exception.handler;

import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

import com.nantian.demo.util.RestfulResult;

/**
 * 异常处理器测试
 */
@RestControllerAdvice
public class DefaultHandler {
    @ExceptionHandler(Exception.class)
    public RestfulResult handle(Exception e) {
        return RestfulResult.error("2233", e);
    }
}
